@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Serif+Text:ital@0;1&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

body {
    font-family: 'Roboto', Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 10vh;
    background-color: #fff;
    padding: 10px 20px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
}

nav {
    display: flex;
    align-items: center;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 30px;
    margin: 0;
    padding: 0;
}

nav a {
    text-decoration: none;
    color: #020D2F;
    font-weight: 500;
    text-transform: uppercase;
    font-size: 14px;
    transition: 0.2s ease-in;
}

nav a:hover{
    color: #C4C7F2;
}

nav img {
    width: 50%;
    height: auto;
}

.s{
    display: none;
}

.sbig{
    display: block;
}

.hero {
    display: flex;
    align-items: center;
    text-align: left;
    height: 100vh;
    background: linear-gradient(#000000, rgba(0, 0, 0, 0.5)), url('img/fondo.jpeg') no-repeat center center/cover;
    color: #ddd;
    padding: 0 20px;
}

.hero-content {
    max-width: 800px;
}

.hero h1 {
    font-size: 6rem;
    font-weight: 500;
    margin-bottom: 20px;
    margin-left: 10%;
    letter-spacing: 2px;
}

.hero p {
    margin-left: 10%;
    font-size: 1.5rem;
    margin-bottom: 30px;
    line-height: 1.6;
    font-weight: 300;
}

.btn-main {
    margin-left: 10%;
    display: inline-block;
    padding: 15px 30px;
    font-size: 1rem;
    font-weight: bold;
    text-transform: uppercase;
    color: #fff;
    background-color: #032C7D;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    transition: all 0.2s ease;
}

.btn-main:hover {
    background-color: #1D79F1;
    transform: scale(1.05);
}

footer {
    background-color: #000;
    color: #fff;
    padding: 40px 20px;
    text-align: center;
    align-items: center;
    font-family: 'Roboto', Arial, Helvetica, sans-serif;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    margin-bottom: 20px;
}

.footer-section {
    width: 45%;
}

.footer-section h3 {
    font-size: 1.2rem;
    margin-bottom: 15px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 600;
}

.footer-section ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-section ul li {
    margin: 10px 0;
}

.footer-section a {
    text-decoration: none;
    color: #fff;
    transition: color 0.2s ease;
}


.footer-bottom {
    border-top: 1px solid #fff;
    padding-top: 10px;
}

.footer-bottom p {
    font-size: 0.9rem;
    color: #bbb;
}

.footer-section.social-links {
    width: 45%;
    min-width: 200px;
    height: 100%;
    text-align: center;
}

.footer-section.social-links h3 {
    font-size: 1.2rem;
    margin-bottom: 15px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 600;
}

.social-icons {
    display: flex;
    justify-content: center;
    gap: 30px; /* Espacio entre los íconos */
    padding: 0;
    margin: 0;
}

.social-icon {
    text-decoration: none;
    color: #fff;
    font-size: 2rem; /* Tamaño de los íconos */
    transition: color 0.3s ease;
}

.social-icon:hover {
    color: #1D97F1; /* Color cuando se pasa el mouse */
}

.social-icons i {
    margin-right: 10px;
}

.contacto-whats {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 60px;
    height: 60px;
    cursor: pointer;
    filter: drop-shadow(0 4px 6px rgba(0, 0, 0, 0.3));
    transition: transform 0.3s ease, filter 0.3s ease;
}

.contacto-whats:hover {
    transform: scale(1.1);
    filter: drop-shadow(0 6px 10px rgba(0, 0, 0, 0.5));
}

/* Ventana de chat */
.chat-window {
    position: fixed;
    bottom: 90px;
    right: 60px;
    width: 300px;
    height: 400px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    display: none;
    flex-direction: column;
    overflow-x: hidden;
    z-index: 1000;
}

.chat-window::-webkit-scrollbar {
    width: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

.chat-window::-webkit-scrollbar-track {
    background: #f0f0f0; 
    border-radius: 10px;
}

.chat-window::-webkit-scrollbar-thumb {
    background: #888; 
    border-radius: 10px; 
    border: 2px solid #f0f0f0;
}

.chat-window::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

.chat-header {
    background: #25d366;
    color: white;
    padding: 10px;
    font-size: 16px;
    text-align: center;
    position: relative;
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    background: none;
    border: none;
    color: white;
    font-size: 16px;
    cursor: pointer;
}

.chat-body {
    flex-grow: 1;
    overflow-y: auto;
    padding: 10px;
    background: #f9f9f9;
}

.messages {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.message {
    max-width: 80%;
    padding: 10px;
    border-radius: 8px;
    font-size: 14px;
}

.message.user {
    background: #e1ffc7;
    align-self: flex-end;
}

.message.bot {
    background: #f1f1f1;
    align-self: flex-start;
}

.chat-footer {
    background: #f1f1f1;
    padding: 10px;
    text-align: center;
}

.chat-footer ul {
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.chat-footer ul li a {
    color: #25d366;
    text-decoration: none;
    font-weight: bold;
}

.chat-footer ul li a:hover {
    text-decoration: underline;
}


@media (min-width: 600px) and (max-width: 1024px) {
    body {
        font-family: 'Roboto', Arial, Helvetica, sans-serif;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        color: #000;
    }
    
    header {
        position: fixed;
        top: 0;
        left: 0;
        display: flex;
        z-index: 99999;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        height: 10vh;
        background-color: #fff;
        padding: 10px 20px;
        box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    }
    
    .s{
        display: block;
    }

    .sbig{
        display: none;
    }

    nav {
        display: flex;
        align-items: center;
        margin: 0 50px;
    }
    
    nav ul {
        list-style: none;
        display: flex;
        gap: 30px;
        margin: 0;
        padding: 0;
    }
    
    nav a {
        text-decoration: none;
        color: #020D2F;
        font-weight: 500;
        text-transform: uppercase;
        font-size: 16px;
        transition: 0.2s ease-in;
    }
    
    nav a:hover{
        color: #C4C7F2;
    }
    
    nav img {
        width: 50%;
        height: auto;
    }

    .hero {
        display: flex;
        align-items: center;
        text-align: left;
        height: 100vh;
        background: linear-gradient(#000000, rgba(0, 0, 0, 0.5)), url('img/fondo.jpeg') no-repeat center center/cover;
        color: #ddd;
        padding: 0 20px;
    }
    
    .hero-content {
        max-width: 500px;
    }
    
    .hero h1 {
        font-size: 4rem;
        font-weight: 500;
        margin-bottom: 20px;
        margin-left: 10%;
        letter-spacing: 2px;
    }
    
    .hero p {
        margin-left: 10%;
        font-size: 1.5rem;
        margin-bottom: 30px;
        line-height: 1.6;
        font-weight: 300;
    }
    
    
    
    footer {
        background-color: #000;
        color: #fff;
        padding: 40px 20px;
        text-align: center;
        align-items: center;
        font-family: 'Roboto', Arial, Helvetica, sans-serif;
    }
    
    .footer-container {
        display: flex;
        justify-content: space-between;
        gap: 40px;
        margin-bottom: 20px;
    }
    
    .footer-section {
        width: 45%;
    }
    
    .footer-section h3 {
        font-size: 1.2rem;
        margin-bottom: 15px;
        text-transform: uppercase;
        letter-spacing: 1px;
        font-weight: 600;
    }
    
    .footer-section ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }
    
    .footer-section ul li {
        margin: 10px 0;
    }
    
    .footer-section a {
        text-decoration: none;
        color: #fff;
        transition: color 0.2s ease;
    }
    
    
    .footer-bottom {
        border-top: 1px solid #fff;
        padding-top: 10px;
    }
    
    .footer-bottom p {
        font-size: 0.9rem;
        color: #bbb;
    }
    
    .footer-section.social-links {
        width: 45%;
        min-width: 200px;
        height: 100%;
        text-align: center;
    }
    
    .footer-section.social-links h3 {
        font-size: 1.2rem;
        margin-bottom: 15px;
        text-transform: uppercase;
        letter-spacing: 1px;
        font-weight: 600;
    }
    
    .social-icons {
        display: flex;
        justify-content: center;
        gap: 30px; /* Espacio entre los íconos */
        padding: 0;
        margin: 0;
    }
    
    .social-icon {
        text-decoration: none;
        color: #fff;
        font-size: 2rem; /* Tamaño de los íconos */
        transition: color 0.3s ease;
    }
    
    .social-icon:hover {
        color: #1D97F1; /* Color cuando se pasa el mouse */
    }
    
    .social-icons i {
        margin-right: 10px;
    }
    
    .contacto-whats {
        position: fixed;
        bottom: 20px;
        right: 20px;
        width: 60px;
        height: 60px;
        cursor: pointer;
        filter: drop-shadow(0 4px 6px rgba(0, 0, 0, 0.3));
        transition: transform 0.3s ease, filter 0.3s ease;
    }
    
    .contacto-whats:hover {
        transform: scale(1.1);
        filter: drop-shadow(0 6px 10px rgba(0, 0, 0, 0.5));
    }
    
    /* Ventana de chat */
    .chat-window {
        position: fixed;
        bottom: 90px;
        right: 60px;
        width: 300px;
        height: 400px;
        background: #fff;
        border-radius: 10px;
        box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
        display: none;
        flex-direction: column;
        overflow-x: hidden;
        z-index: 1000;
    }
    
    .chat-window::-webkit-scrollbar {
        width: 10px;
        border-top-right-radius: 10px;
        border-bottom-right-radius: 10px;
    }
    
    .chat-window::-webkit-scrollbar-track {
        background: #f0f0f0; 
        border-radius: 10px;
    }
    
    .chat-window::-webkit-scrollbar-thumb {
        background: #888; 
        border-radius: 10px; 
        border: 2px solid #f0f0f0;
    }
    
    .chat-window::-webkit-scrollbar-thumb:hover {
        background: #555; 
    }
    
    .chat-header {
        background: #25d366;
        color: white;
        padding: 10px;
        font-size: 16px;
        text-align: center;
        position: relative;
    }
    
    .close-btn {
        position: absolute;
        top: 10px;
        right: 10px;
        background: none;
        border: none;
        color: white;
        font-size: 16px;
        cursor: pointer;
    }
    
    .chat-body {
        flex-grow: 1;
        overflow-y: auto;
        padding: 10px;
        background: #f9f9f9;
    }
    
    .messages {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }
    
    .message {
        max-width: 80%;
        padding: 10px;
        border-radius: 8px;
        font-size: 14px;
    }
    
    .message.user {
        background: #e1ffc7;
        align-self: flex-end;
    }
    
    .message.bot {
        background: #f1f1f1;
        align-self: flex-start;
    }
    
    .chat-footer {
        background: #f1f1f1;
        padding: 10px;
        text-align: center;
    }
    
    .chat-footer ul {
        list-style: none;
        padding: 0;
        display: flex;
        flex-direction: column;
        gap: 10px;
    }
    
    .chat-footer ul li a {
        color: #25d366;
        text-decoration: none;
        font-weight: bold;
    }
    
    .chat-footer ul li a:hover {
        text-decoration: underline;
    }

}


@media (max-width: 599px) {
    body {
        font-family: 'Roboto', Arial, Helvetica, sans-serif;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        color: #000;
    }
    
    header {
        position: fixed;
        top: 0;
        left: 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        height: 10vh;
        background-color: #fff0;
        padding: 10px 20px;
        z-index: 99999;
    }

    .menu-toggle {
        display: block; /* Muestra el icono del menú en pantallas pequeñas */
        z-index: 1001;
    }

    #menu {
        display: none;
        position: absolute;
        top: 0vh;
        left: -20px;
        width: 100%;
        height: 100vh;
        background-color: #000000db;
        flex-direction: column;
        padding: 20px 0;
        z-index: 1000;
        transition: transform 0.3s ease-in-out; /* Animación para mostrar el menú */
        transform: translateY(-100%); /* Empuja el menú fuera de la pantalla */
    }

    #menu.show {
        display: flex;
        transform: translateY(0); /* Muestra el menú */
    }

    #menu li {
        margin: 5px 0;
        text-align: center;
    }

    #menu li a {
        font-size: 18px;
        color: #fff;
        text-transform: uppercase;
    }

    #menu li a:hover {
        color: #C4C7F2;
    }

    #menu-icon img {
        width: 35px;
        height: auto;
    }

    #menu-icon:hover img {
        opacity: 0.8; /* Efecto hover para el icono del menú */
    }
    
    #nav-desktop {
        display: none; /* Esconde el menú de escritorio en pantallas pequeñas */
    }

    .hero {
        display: flex;
        align-items: center;
        text-align: center;
        height: 100vh;
        background: linear-gradient(#000000, rgba(0, 0, 0, 0)), url('img/descarga.jfif') no-repeat center center/cover;
        color: #ddd;
        padding: 0 20px;
    }
    
    .hero-content {
        max-width: 300px;
    }
    
    .hero h1 {
        font-size: 30px;
        font-weight: 500;
        margin-bottom: 20px;
        margin-left: 10%;
        letter-spacing: 2px;
    }
    
    .hero p {
        margin-left: 10%;
        font-size: 1rem;
        margin-bottom: 30px;
        line-height: 1.6;
        font-weight: 300;
    }
    
        .footer-container {
            flex-direction: column; /* Cambia la disposición a columna */
            align-items: center; /* Centra los elementos */
            gap: 30px;
        }
    
        .footer-section {
            width: 100%; /* Hacemos que cada sección ocupe todo el ancho disponible */
        }
    
        .footer-section h3 {
            font-size: 1rem; /* Reduce el tamaño de los encabezados */
        }
    
        .footer-section ul li {
            margin: 8px 0; /* Reduce el espacio entre los elementos de la lista */
        }
    
        .social-icons {
            flex-direction: row; /* Alinea los íconos en una fila */
            justify-content: center; /* Centra los íconos */
            gap: 20px; /* Menos espacio entre íconos */
        }
    
        .social-icon {
            font-size: 1.5rem; /* Ajusta el tamaño de los íconos */
        }
    
        .footer-bottom p {
            font-size: 0.8rem; /* Reduce el tamaño del texto en la parte inferior */
        }

        .contacto-whats {
            position: fixed;
            bottom: 20px;
            right: 20px;
            width: 60px;
            height: 60px;
            cursor: pointer;
            filter: drop-shadow(0 4px 6px rgba(0, 0, 0, 0.3));
            transition: transform 0.3s ease, filter 0.3s ease;
        }
        
        .contacto-whats:hover {
            transform: scale(1.1);
            filter: drop-shadow(0 6px 10px rgba(0, 0, 0, 0.5));
        }
        
        /* Ventana de chat */
        .chat-window {
            position: fixed;
            bottom: 90px;
            right: 10px;
            width: 300px;
            height: 400px;
            background: #fff;
            border-radius: 10px;
            box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
            display: none;
            flex-direction: column;
            overflow-x: hidden;
            z-index: 1000;
        }
        
        .chat-window::-webkit-scrollbar {
            width: 10px;
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        
        .chat-window::-webkit-scrollbar-track {
            background: #f0f0f0; 
            border-radius: 10px;
        }
        
        .chat-window::-webkit-scrollbar-thumb {
            background: #888; 
            border-radius: 10px; 
            border: 2px solid #f0f0f0;
        }
        
        .chat-window::-webkit-scrollbar-thumb:hover {
            background: #555; 
        }
        
        .chat-header {
            background: #25d366;
            color: white;
            padding: 10px;
            font-size: 16px;
            text-align: center;
            position: relative;
        }
        
        .close-btn {
            position: absolute;
            top: 10px;
            right: 10px;
            background: none;
            border: none;
            color: white;
            font-size: 16px;
            cursor: pointer;
        }
        
        .chat-body {
            flex-grow: 1;
            overflow-y: auto;
            padding: 10px;
            background: #f9f9f9;
        }
        
        .messages {
            display: flex;
            flex-direction: column;
            gap: 10px;
        }
        
        .message {
            max-width: 80%;
            padding: 10px;
            border-radius: 8px;
            font-size: 14px;
        }
        
        .message.user {
            background: #e1ffc7;
            align-self: flex-end;
        }
        
        .message.bot {
            background: #f1f1f1;
            align-self: flex-start;
        }
        
        .chat-footer {
            background: #f1f1f1;
            padding: 10px;
            text-align: center;
        }
        
        .chat-footer ul {
            list-style: none;
            padding: 0;
            display: flex;
            flex-direction: column;
            gap: 10px;
        }
        
        .chat-footer ul li a {
            color: #25d366;
            text-decoration: none;
            font-weight: bold;
        }
        
        .chat-footer ul li a:hover {
            text-decoration: underline;
        }
    
    
    }
    
    @media (min-width: 600px) {
        #nav-mobile {
            display: none; /* Esconde el menú de escritorio en pantallas pequeñas */
        }
    } 